#preview {
    position: fixed;
    width: 100%;
    justify-content: center;
    display: flex;
    opacity: 0;
    pointer-events: none;
    z-index: 3;

    backdrop-filter: blur(1rem);
}

#preview ul.list.controls {
    z-index: 2;
}

#preview:before {
    content: '';
    display: block;
    width: 100%;
    height: 100%;
    position: fixed;
    top: 0;
    left: 0;
    opacity: 0;
    background-color: #111;
}

#preview:not(:empty) {
    opacity: 1;
    pointer-events: initial;
}

#preview:not(:empty):before {
    opacity: 0.75;
}

#preview img {
    max-height: calc(100% - 7rem);
    max-width: calc(100% - 2rem);
    align-self: center;
    border-radius: 0.75rem;
    position: relative;
}

#preview .pinfo,
#preview .buttons {
    background-color: rgba(var(--movim-gray), 0.4);
    transition: opacity .3s cubic-bezier(.4,0,.2,1);
    backdrop-filter: blur(0.5rem);
    box-shadow: var(--elevation-1);
    position: absolute;
}

#preview .pinfo {
    color: white;
    bottom: 10rem;
    font-size: 1.75rem;
    line-height: 3.5rem;
    padding: 0 2rem;
    border-radius: 2rem;
    user-select: none;
}

#preview .buttons {
    bottom: 2rem;
    text-align: center;
    border-radius: 1rem;
    padding: 0 0.5rem;
}


#preview img:hover ~ .pinfo,
#preview img:hover ~ .buttons {
    opacity: 0.25;
}

#preview .prevnext {
    font-size: 5rem;
    background-color: rgba(0, 0, 0, 0.5);
    box-shadow: var(--elevation-1);
    line-height: 7rem;
    width: 7rem;
    border-radius: 100%;
    color: white;
    height: 7rem;
    text-align: center;

    position: absolute;
    top: calc(50% - 3.5rem);

    display: none;
}

#preview .prevnext:hover {
    cursor: pointer;
    background-color: rgba(0, 0, 0, 0.2);
}

#preview .prevnext.enabled {
    display: inline-block;
}

#preview .prevnext.prev {
    left: 1.5rem;
}

#preview .prevnext.next {
    right: 1.5rem;
}

#preview .counter {
    color: white;
    font-size: 1.75rem;
    line-height: 6rem;
    display: block;
    text-align: center;
    position: absolute;
}

/* Previewable */
.previewable {
    display: inline-block;
    position: relative;
    overflow: hidden;
}

.previewable img {
    transition: opacity 0.1s ease-in-out;
    border-radius: 0.25rem;
    overflow: hidden;
}

.previewable:hover img {
    opacity: 0.6;
}

.previewable:active img {
    opacity: 0.8;
}

.previewable:after,
.previewable[data-type="image/gif"]:before {
    color: white;
    font-family: 'Material Icons';
    content: "\e8ff";
    text-shadow: 0 0 1rem rgba(0, 0, 0, 0.5);
    position: absolute;
    display: block;
    pointer-events: none;
}

.previewable:after {
    content: "\e8ff";
    font-size: 3rem;
    right: 0.75rem;
    top: 0.75rem;
}

.previewable[data-type="image/gif"]:before {
    content: "\e908";
    font-size: 5rem;
    right: 0.5rem;
    bottom: 0rem;
    z-index: 1;
}

/** Chat bubble **/

li:not(.oppose) .bubble .previewable:after {
    right: auto;
    left: 0.75rem;
}

li:not(.oppose) .bubble .previewable[data-type="image/gif"]:before {
    left: 0.5rem;
    right: auto;
}